# Estatistica no R - Aula 3 (conteudo extra - test t e ANOVA)
# Luis Anunciacao (Psicometria, PUC-Rio/University of Oregon)
# luisfca@gmail.com www.anovabr.com

library(tidyverse)
set.seed(123)
#teste t
dist_nula <- data.frame(depressao=rnorm(2000,43,5), sexo=c("0","1")) #aqui no h efeito
dist_alternativa <- data.frame(depressao=rnorm(2000,50,5), sexo=c("0","1"))
dist_alternativa <- dist_alternativa %>% mutate(depressao = if_else(sexo=="0",rnorm(2000,15,5),depressao)) #modifico a varivel para criar efeito
#plot distribuicao nula
ggplot(dist_nula, aes(x=depressao, group=sexo)) + 
  geom_density(aes(fill=sexo),alpha = 0.6) + labs(title="Resultados no significativos")
t.test(depressao~sexo, data=dist_nula)
#plot distribuicao alternativa
ggplot(dist_alternativa, aes(x=depressao, group=sexo)) + 
  geom_density(aes(fill=sexo),alpha = 0.6) + labs(title="Resultados significativos")
t.test(depressao~sexo, data=dist_alternativa)

#anova
dist_anova_nula <-  data.frame(depressao=rnorm(1500,30,5), faixa_etaria=rep(c("0","1","2"),each=500))
dist_anova_alternativa <-  data.frame(depressao=rnorm(1500,30,5), faixa_etaria=rep(c("0","1","2"),each=500))
dist_anova_alternativa <- dist_anova_alternativa %>% 
  mutate(depressao = if_else(faixa_etaria=="1",rnorm(1500,50,5),depressao))
#plot distribuicao nula
ggplot(dist_anova_nula, aes(x=depressao, group=faixa_etaria)) + 
  geom_density(aes(fill=faixa_etaria),alpha = 0.6) + labs(title="Resultados no significativos")

ggplot(dist_anova_alternativa, aes(x=depressao, group=faixa_etaria)) + 
  geom_density(aes(fill=faixa_etaria),alpha = 0.6) + labs(title="Resultados no significativos")

#aov test
x<-aov(depressao ~ faixa_etaria, data=dist_anova_nula)
summary(x)

j<-aov(depressao ~ faixa_etaria, data=dist_anova_alternativa)
summary(j)

#post hoc
options(scipen = 999)
pairwise.t.test(dist_anova_alternativa$depressao,dist_anova_alternativa$faixa_etaria,
                p.adj = "bonf")

dist_anova_alternativa %>% group_by(faixa_etaria) %>% summarise(mean(depressao),sd(depressao))

# Luis Anunciacao, 2017
# This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License. 
#https://creativecommons.org/licenses/by-nc-sa/4.0/